<?
	global $sess;

	if (($sess->isLoged("Wykl")) || ($sess->isLoged("Oper"))) {
		$zad = $sess->get(w_ed_zadanie);
		$zad_id = $zad[id];
		$numer = $_POST[numer];
		$nazwa = $_POST[nazwa];
		$url = $_POST[url];
		$zakres = $_POST[zakres];
//		$poziom = $_POST[poziom];
		$poziom = $_POST[W_zakr]*4;
		if ($_POST[W_diff]) $poziom += 2;
		if ($_POST[W_licz]) $poziom += 1;
		

		$termin1 = "$_POST[year1]:$_POST[month1]:$_POST[day1] $_POST[time1]";

		if ($_POST[isdata2]=='on')
			$termin2 = "'$_POST[year2]:$_POST[month2]:$_POST[day2] $_POST[time2]'";
		else
			$termin2 = "NULL";
		$poblazanie = $_POST[poblazanie];

		$q=new CQuery("UPDATE
							XP_ZADANIE
						SET
							numer_zad='$numer',
							nazwa='$nazwa',
							link_url='$url',
							zakres_spr='$zakres',
							termin1='$termin1',
							termin2=$termin2,
							poblazanie='$poblazanie',
							poziom_spr='$poziom',
							mod_date='".date("Y-m-d G:i:s")."'
						WHERE id=$zad_id;");

		$q = new CQuery("SELECT numer_zad, nazwa, link_url
				FROM XP_ZADANIE
				WHERE id=$zad_id;");
		if ($q->num_rows()) {
			$arr = $q->fetch_array();
			$zad = $sess->getTab(W_Pzadania, $zad_id);
			$zad[1] = $arr["numer_zad"];
			$zad[2] = $arr["nazwa"];
			$zad[3] = $arr["link_url"];
			$sess->setTab(W_Pzadania, $zad_id, $zad);
		}
		$przedmiot = $sess->get(w_przedmiot_id);
	}
?>
